
Ruby - Bug #857

1.9 Crash on calling 'hour' method on DateTime object in C extension

12/11/2008 10:08 PM - brokenoty (Alex Fenton)

Status: Closed   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version: 1.9.1 Release Candidate   

ruby -v:  Backport:  

Description

=begin

DateTime#hour works fine in Ruby.

However, calling this in an extension on the same DateTime object causes a crash:

int rHour = NUM2INT(rb_funcall(date_time, rb_intern("hour"), 0));

Error is:

/Users/alex/code/wxruby2_19/lib/wx/keyword_ctors.rb:168: [BUG] unsupported: vm_call0(NODE_ZSUPER)

=end

History

#1 - 12/12/2008 12:42 AM - yugui (Yuki Sonoda)

- File test-ext.tar.gz added

- Assignee set to ko1 (Koichi Sasada)

- Priority changed from Normal to 5

- Target version set to 1.9.1 Release Candidate

=begin

This is the least reproducing example.

% ruby -rdate -r./test -e 'lets_abort(DateTime.new)'

-e:1: [BUG] unsupported: vm_call0(NODE_ZSUPER)

ruby 1.9.1 (2008-12-09) [i386-darwin9.5.0]

-- control frame ----------

c:0004 p:---- s:0010 b:0010 l:000009 d:000009 CFUNC  :lets_abort

c:0003 p:0022 s:0006 b:0006 l:000005 d:000005 TOP    -e:1

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:000001 d:000001 TOP    :19128

DBG> : "-e:1:in lets_abort'" DBG> : "-e:1:in '"

-- backtrace of native function call (Use addr2line) --

0x12f349

0x29b17

0x29b56

0x127531

0x1282c2

0x127f63

0x128489

0x2dff72

0x123dba

0x123b97

0x123551
0x11fee9

0x12c3d3

0x12ca50

0x2e08a

0x2e12e

0x17aa

0x1712

=end

#2 - 12/13/2008 11:33 AM - yugui (Yuki Sonoda)

- Due date set to 12/24/2008

=begin

=end

#3 - 12/15/2008 02:47 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r20744.

=end

Files

test-ext.tar.gz 415 Bytes 12/12/2008 yugui (Yuki Sonoda)
